// creator  : weidu.exe (version 23600)
// argument : WAITER.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~WAITER~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 1 even though they appear after this state */
~  True()
~ THEN BEGIN 0 // from:
  SAY #8383 /* ~Please do not distract me, good patron. I've orders to fill amongst the regulars.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 1 // from:
  SAY #8385 /* ~Even though you're a good friend, I don't think you'd understand the highbrow political talk that I hear among the patrons. Please don't take insult my friend, it is hardly your fault that you were born into the world to such a lowly caste.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #9038 /* ~Get out of my sight! I'll do nothing for you!~ */
  IF ~~ THEN EXIT
END
